Bug 228295 - Review Request: kbilliards - A Fun Billiards Simulator Game
Review Request: kbilliards - A Fun Billiards Simulator Game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-02-12 10:52 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-23 16:44:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-02-12 10:52:11 EST
Spec URL: http://people.atrpms.net/~hdegoede/kbilliards.spec
SRPM URL: http://people.atrpms.net/~hdegoede/kbilliards-0.8.7b-1.fc7.src.rpm
Description:
A billiards simulator game designed for KDE.
Comment 1 Mamoru TASAKA 2007-02-21 12:00:55 EST
Well, for 0.8.7b-1:

* gettext po file
  - Can't the gettext po files under .po/ directory be used
    for this program?
    (One possibility is that with adding gettext as BuildRequires,
     gettext may try to compile po files automatically, or you
     have to use msgfmt manually anyway).

* Documentation
  - What is the following files?
---------------------------------------------------
./src/NOATUN_AUTHORS
---------------------------------------------------

* index.docbook
  Usually KDE applications try to install index.docbook
  (here ./doc/en/index.docbook) under /usr/share/doc/HTML/.
  For this packages, can this be ignored?

* Other miscs
  - What are the files under ./wafadmin directory?
Comment 2 Hans de Goede 2007-02-22 10:54:11 EST
(In reply to comment #1)
> Well, for 0.8.7b-1:
> 
> * gettext po file
>   - Can't the gettext po files under .po/ directory be used
>     for this program?
>     (One possibility is that with adding gettext as BuildRequires,
>      gettext may try to compile po files automatically, or you
>      have to use msgfmt manually anyway).
> 
Well on my system with gettext installed ./configure says:
"checking if po should be compiled... yes"
And then make (install) doesn't do anything under the po dir :|
So I've added a manual conversion and install of the .po files to the specfile

> * Documentation
>   - What is the following files?
> ---------------------------------------------------
> ./src/NOATUN_AUTHORS
> ---------------------------------------------------
> 

A list of the authors of the noatun KDE media player, further investigations
has learned me that src/soundengine.* contain portions of noatun code, so
I'll add this file to %doc

> * index.docbook
>   Usually KDE applications try to install index.docbook
>   (here ./doc/en/index.docbook) under /usr/share/doc/HTML/.
>   For this packages, can this be ignored?
> 

This is just a template document from the kde app template, nothing usefull
there.

> * Other miscs
>   - What are the files under ./wafadmin directory?

From the README file:
"2) You can compile kbilliards also with "waf" in three steps:

./waf.py configure

./waf.py build

./waf.py install"


New version with the noatun authors file added and the .po files installed here:
Spec URL: http://people.atrpms.net/~hdegoede/kbilliards.spec
SRPM URL: http://people.atrpms.net/~hdegoede/kbilliards-0.8.7b-2.fc7.src.rpm
Comment 3 Rex Dieter 2007-02-22 11:02:32 EST
Looks good, you can probably omit the explicit:
Requires:       hicolor-icon-theme
it's already Req'd by kdelibs (though it's not necessarily wrong to include it 
here either).
Comment 4 Mamoru TASAKA 2007-02-22 13:57:17 EST
Okay. On it_IR or fr_FR translation correctly appeared
(note: I cannot read/write Itarian/French)

------------------------------------------------
   This package (kbilliards) is APPROVED by me.
------------------------------------------------
Comment 5 Hans de Goede 2007-02-23 02:18:28 EST
New Package CVS Request
=======================
Package Name:      kbilliards
Short Description: A Fun Billiards Simulator Game
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 devel
InitialCC:         <empty>


Comment 6 Dennis Gilmore 2007-02-23 07:51:28 EST
branched
Comment 7 Hans de Goede 2007-02-23 07:56:32 EST
Looks like you did create the branchis, but didn't add this to owners.list:

[hans@localhost fedora-extras]$ common/cvs-import.sh
wip/kbilliards/kbilliards-0.8.7b-2.fc7.src.rpm 
Checking out the modules file...
Module 'kbilliards' already exists...
Checking out module: 'kbilliards'
Unpacking source package: kbilliards-0.8.7b-2.fc7.src.rpm...
A kbilliards-0.8.7b-compiler_warnings.patch
L kbilliards-0.8.7b.tar.bz2
A kbilliards-destdir.patch
A kbilliards.spec
A sqrtl.patch

Checking : kbilliards-0.8.7b.tar.bz2 on
https://cvs.fedora.redhat.com/repo/extras/upload.cgi...
Uploading: kbilliards-0.8.7b.tar.bz2 to
https://cvs.fedora.redhat.com/repo/extras/upload.cgi...
File kbilliards-0.8.7b.tar.bz2 size 2066167 MD5 f773a0a860ac0cb678f5e736860a0fe9
 stored OK

Source upload succeeded. Don't forget to commit the new ./sources file
M sources
M .cvsignore
cvs commit...
cvs commit: Pre-commit check failed
cvs commit: Pre-commit check failed
cvs [commit aborted]: correct above errors first!

[hans@localhost fedora-extras]$ 

Comment 8 Hans de Goede 2007-02-23 16:44:12 EST
Imported and build, closing. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.